Bug 168659 - Add option to not disallow adjacent ships
Summary: Add option to not disallow adjacent ships
Status: RESOLVED FIXED
Alias: None
Product: knavalbattle
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Paolo Capriotti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-07 20:54 UTC by Richard Hartmann
Modified: 2013-03-10 10:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Hartmann 2008-08-07 20:54:11 UTC
Version:           2.0 (using 4.1.00 (KDE 4.1.0), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.26-1-686

The rules I know do not allow you to put two ships right next to each other. At least one square must be between each two ships. Adding an option to change the rules accordingly would be nice :)
Comment 1 Brendan Hide 2009-07-14 22:44:17 UTC
I haven't known of a rule like this before though I can see how it might add variety to the game.
Comment 2 Jaime Torres 2013-03-10 09:37:55 UTC
Git commit 411cdc90ee801825f8b96b9d1e87b225b90f117e by Jaime Torres.
Committed on 10/03/2013 at 10:25.
Pushed by jtamate into branch 'master'.

implement the possibility of non adjacent ships

Before, the only game option was to play with adjacent ships.
Now it is possible to choose between the two options, adjacent or not,
including the network games.
The game mode can not be changed in the middle of a battle.
The local user settings are not affected by a network game. Both
players will play the same game type, but after that, the local options
will apply for new local games.
FIXED-IN: 11.0
REVIEW: 106772
GUI: There is a new settings menu entry (Adjacent ships)

M  +38   -6    src/battlefield.cpp
M  +5    -5    src/battlefield.h
M  +3    -2    src/controller.cpp
M  +6    -5    src/controller.h
M  +4    -0    src/kbattleship.kcfg
M  +5    -1    src/kbattleshipui.rc
M  +6    -0    src/mainwindow.cpp
M  +9    -0    src/message.cpp
M  +39   -23   src/message.h
M  +20   -0    src/networkentity.cpp
M  +7    -1    src/playfield.cpp
M  +2    -1    src/playfield.h
M  +14   -1    src/protocol.cpp
M  +9    -3    src/sea.cpp
M  +7    -5    src/sea.h
M  +30   -0    src/ship.cpp

http://commits.kde.org/knavalbattle/411cdc90ee801825f8b96b9d1e87b225b90f117e